BLAS/SRC/izamax.f(3)

NAME
BLAS/SRC/izamax.f

SYNOPSIS

  Functions/Subroutines
integer function izamax (n, zx, incx)
IZAMAX

Function/Subroutine Documentation

  integer function izamax (integer n, complex*16, dimension(*) zx, integer incx)

IZAMAX

Purpose:

        IZAMAX finds the index of the first element having maximum |Re(.)| + |Im(.)|

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 1/15/85.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 70 of file izamax.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.